Impact records

This page covers the two impact reconciliation endpoints. For background on when and why to use them, see Reconciliation.

List impact recon records

GET /v3/funds/allocations/impact returns a paginated list of impact delivery records for your organisation hierarchy.

Required parameters

ParameterTypeDescription
dateTimeFromdate-timeInclusive lower bound (ISO 8601)
dateTimeTodate-timeExclusive upper bound (ISO 8601)

Optional filters

ParameterTypeDescription
consumerReferencestringFilter by consumer reference
impactPartnerIduuidFilter by impact partner
fundsOrganisationIduuidFilter to a specific organisation in your hierarchy
limitinteger (1–100)Number of records per page
startingAfteruuidCursor for forward pagination
endingBeforeuuidCursor for backward pagination

Example request

GET /v3/funds/allocations/impact?dateTimeFrom=2024-01-01T00:00:00Z&dateTimeTo=2024-02-01T00:00:00Z&limit=25

Example response

{
  "hasMore": true,
  "data": [
    {
      "fundsAllocationId": "b7e9c4a2-8f31-4d6e-a529-3c7b8e1f0d42",
      "quoteId": "a6711057-1b63-41e0-81c3-24c02c5ef63b",
      "fundsDateTime": "2024-01-15T14:30:00Z",
      "consumerReference": "consumer_123",
      "fundsOrganisationId": "2f6d6b1f-1c6a-4e9a-9c15-7b8a0db1a2c3",
      "fundsOrganisationReference": "MID12345",
      "collectionOrganisationId": "9e1d3a52-0e3d-4a9f-8b6e-1c2d3e4f5a6b",
      "fundsCurrencyCode": "GBP",
      "reversal": false,
      "taxLiability": "platform",
      "amounts": {
        "total": 12.60,
        "impact": 10.00,
        "impactTax": 0.00,
        "serviceFee": 2.00,
        "serviceFeeTax": 0.40
      },
      "merchant": {
        "name": "Blossom & Bloom",
        "mcc": "5992",
        "address": {
          "line1": "Ground floor",
          "line2": "45 Rosewood Avenue",
          "city": "London",
          "state": null,
          "postalCode": "SW1A 1AA",
          "countryCode": "GBR"
        }
      },
      "credits": [
        {
          "impactPartnerId": "250636c2-8702-47c1-9720-7c3f93395790",
          "projectId": "dfa40a8a-8c24-404d-bed9-6bc3ee60b2b6",
          "amounts": {
            "impact": 1.21,
            "impactTax": 0.00,
            "impactTaxRate": 0.00
          },
          "unit": {
            "description": "kgCO2e",
            "quantity": 1000
          }
        }
      ],
      "contribution": [
        {
          "impactPartnerId": "9405545f-a850-4427-ab0d-10b5b734e925",
          "amounts": {
            "impact": 0.34,
            "impactTax": 0.00,
            "impactTaxRate": 0.00
          },
          "unit": {
            "description": "bottles",
            "quantity": 112
          }
        }
      ]
    }
  ]
}

See the List impact recon records endpoint for the full response schema.

Get a single impact recon record

GET /v3/funds/allocations/{id}/impact returns the impact recon record for a single funds allocation. The response is the same structure as a single item from the list endpoint's data array, without the hasMore wrapper.

Example request

GET /v3/funds/allocations/b7e9c4a2-8f31-4d6e-a529-3c7b8e1f0d42/impact